/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TBPMLOGMAIL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tbpmlogmail.findAll", query = "SELECT t FROM Tbpmlogmail t"),
    @NamedQuery(name = "Tbpmlogmail.findByClogmail", query = "SELECT t FROM Tbpmlogmail t WHERE t.clogmail = :clogmail"),
    @NamedQuery(name = "Tbpmlogmail.findByCorreo", query = "SELECT t FROM Tbpmlogmail t WHERE t.correo = :correo"),
    @NamedQuery(name = "Tbpmlogmail.findByDescripcionerror", query = "SELECT t FROM Tbpmlogmail t WHERE t.descripcionerror = :descripcionerror"),
    @NamedQuery(name = "Tbpmlogmail.findByEstado", query = "SELECT t FROM Tbpmlogmail t WHERE t.estado = :estado"),
    @NamedQuery(name = "Tbpmlogmail.findByFecharegistro", query = "SELECT t FROM Tbpmlogmail t WHERE t.fecharegistro = :fecharegistro")})
public class Tbpmlogmail implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CLOGMAIL")
    private Long clogmail;
    @Lob
    @Column(name = "ASUNTO")
    private String asunto;
    @Column(name = "CORREO")
    private String correo;
    @Column(name = "DESCRIPCIONERROR")
    private String descripcionerror;
    @Column(name = "ESTADO")
    private String estado;
    @Lob
    @Column(name = "CONTENIDO")
    private String contenido;
    @Column(name = "FECHAREGISTRO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecharegistro;

    public Tbpmlogmail() {
    }

    public Tbpmlogmail(Long clogmail) {
        this.clogmail = clogmail;
    }

    public Long getClogmail() {
        return clogmail;
    }

    public void setClogmail(Long clogmail) {
        this.clogmail = clogmail;
    }

    public String getAsunto() {
        return asunto;
    }

    public void setAsunto(String asunto) {
        this.asunto = asunto;
    }

    public String getCorreo() {
        return correo;
    }

    public void setCorreo(String correo) {
        this.correo = correo;
    }

    public String getDescripcionerror() {
        return descripcionerror;
    }

    public void setDescripcionerror(String descripcionerror) {
        this.descripcionerror = descripcionerror;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getContenido() {
        return contenido;
    }

    public void setContenido(String contenido) {
        this.contenido = contenido;
    }

    public Date getFecharegistro() {
        return fecharegistro;
    }

    public void setFecharegistro(Date fecharegistro) {
        this.fecharegistro = fecharegistro;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (clogmail != null ? clogmail.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tbpmlogmail)) {
            return false;
        }
        Tbpmlogmail other = (Tbpmlogmail) object;
        if ((this.clogmail == null && other.clogmail != null) || (this.clogmail != null && !this.clogmail.equals(other.clogmail))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tbpmlogmail[ clogmail=" + clogmail + " ]";
    }
    
}
